#include "redica.h"
#include <bits/stdc++.h>

using namespace std;

void solve(int N, int K, int S)
{
    vector<int>a;
    for(int i=0; i<N; i++)
    {
        a.push_back(query());
    }
    submit (a);
}
